import { BinaryReader, BinaryWriter } from "../../../binary";
import { DeepPartial } from "../../../helpers";
/**
 * MsgIBCSend
 * @name MsgIBCSend
 * @package cosmwasm.wasm.v1
 * @see proto type: cosmwasm.wasm.v1.MsgIBCSend
 */
export interface MsgIBCSend {
    /**
     * the channel by which the packet will be sent
     */
    channel: string;
    /**
     * Timeout height relative to the current block height.
     * The timeout is disabled when set to 0.
     */
    timeoutHeight: bigint;
    /**
     * Timeout timestamp (in nanoseconds) relative to the current block timestamp.
     * The timeout is disabled when set to 0.
     */
    timeoutTimestamp: bigint;
    /**
     * Data is the payload to transfer. We must not make assumption what format or
     * content is in here.
     */
    data: Uint8Array;
}
export interface MsgIBCSendProtoMsg {
    typeUrl: "/cosmwasm.wasm.v1.MsgIBCSend";
    value: Uint8Array;
}
/**
 * MsgIBCSend
 * @name MsgIBCSendAmino
 * @package cosmwasm.wasm.v1
 * @see proto type: cosmwasm.wasm.v1.MsgIBCSend
 */
export interface MsgIBCSendAmino {
    /**
     * the channel by which the packet will be sent
     */
    channel: string;
    /**
     * Timeout height relative to the current block height.
     * The timeout is disabled when set to 0.
     */
    timeout_height: string;
    /**
     * Timeout timestamp (in nanoseconds) relative to the current block timestamp.
     * The timeout is disabled when set to 0.
     */
    timeout_timestamp: string;
    /**
     * Data is the payload to transfer. We must not make assumption what format or
     * content is in here.
     */
    data: string;
}
export interface MsgIBCSendAminoMsg {
    type: "wasm/MsgIBCSend";
    value: MsgIBCSendAmino;
}
/**
 * MsgIBCSendResponse
 * @name MsgIBCSendResponse
 * @package cosmwasm.wasm.v1
 * @see proto type: cosmwasm.wasm.v1.MsgIBCSendResponse
 */
export interface MsgIBCSendResponse {
    /**
     * Sequence number of the IBC packet sent
     */
    sequence: bigint;
}
export interface MsgIBCSendResponseProtoMsg {
    typeUrl: "/cosmwasm.wasm.v1.MsgIBCSendResponse";
    value: Uint8Array;
}
/**
 * MsgIBCSendResponse
 * @name MsgIBCSendResponseAmino
 * @package cosmwasm.wasm.v1
 * @see proto type: cosmwasm.wasm.v1.MsgIBCSendResponse
 */
export interface MsgIBCSendResponseAmino {
    /**
     * Sequence number of the IBC packet sent
     */
    sequence: string;
}
export interface MsgIBCSendResponseAminoMsg {
    type: "wasm/MsgIBCSendResponse";
    value: MsgIBCSendResponseAmino;
}
/**
 * MsgIBCWriteAcknowledgementResponse
 * @name MsgIBCWriteAcknowledgementResponse
 * @package cosmwasm.wasm.v1
 * @see proto type: cosmwasm.wasm.v1.MsgIBCWriteAcknowledgementResponse
 */
export interface MsgIBCWriteAcknowledgementResponse {
}
export interface MsgIBCWriteAcknowledgementResponseProtoMsg {
    typeUrl: "/cosmwasm.wasm.v1.MsgIBCWriteAcknowledgementResponse";
    value: Uint8Array;
}
/**
 * MsgIBCWriteAcknowledgementResponse
 * @name MsgIBCWriteAcknowledgementResponseAmino
 * @package cosmwasm.wasm.v1
 * @see proto type: cosmwasm.wasm.v1.MsgIBCWriteAcknowledgementResponse
 */
export interface MsgIBCWriteAcknowledgementResponseAmino {
}
export interface MsgIBCWriteAcknowledgementResponseAminoMsg {
    type: "wasm/MsgIBCWriteAcknowledgementResponse";
    value: MsgIBCWriteAcknowledgementResponseAmino;
}
/**
 * MsgIBCCloseChannel port and channel need to be owned by the contract
 * @name MsgIBCCloseChannel
 * @package cosmwasm.wasm.v1
 * @see proto type: cosmwasm.wasm.v1.MsgIBCCloseChannel
 */
export interface MsgIBCCloseChannel {
    channel: string;
}
export interface MsgIBCCloseChannelProtoMsg {
    typeUrl: "/cosmwasm.wasm.v1.MsgIBCCloseChannel";
    value: Uint8Array;
}
/**
 * MsgIBCCloseChannel port and channel need to be owned by the contract
 * @name MsgIBCCloseChannelAmino
 * @package cosmwasm.wasm.v1
 * @see proto type: cosmwasm.wasm.v1.MsgIBCCloseChannel
 */
export interface MsgIBCCloseChannelAmino {
    channel: string;
}
export interface MsgIBCCloseChannelAminoMsg {
    type: "wasm/MsgIBCCloseChannel";
    value: MsgIBCCloseChannelAmino;
}
/**
 * MsgIBCSend
 * @name MsgIBCSend
 * @package cosmwasm.wasm.v1
 * @see proto type: cosmwasm.wasm.v1.MsgIBCSend
 */
export declare const MsgIBCSend: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is MsgIBCSend;
    isAmino(o: any): o is MsgIBCSendAmino;
    encode(message: MsgIBCSend, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): MsgIBCSend;
    fromPartial(object: DeepPartial<MsgIBCSend>): MsgIBCSend;
    fromAmino(object: MsgIBCSendAmino): MsgIBCSend;
    toAmino(message: MsgIBCSend): MsgIBCSendAmino;
    fromAminoMsg(object: MsgIBCSendAminoMsg): MsgIBCSend;
    toAminoMsg(message: MsgIBCSend): MsgIBCSendAminoMsg;
    fromProtoMsg(message: MsgIBCSendProtoMsg): MsgIBCSend;
    toProto(message: MsgIBCSend): Uint8Array;
    toProtoMsg(message: MsgIBCSend): MsgIBCSendProtoMsg;
    registerTypeUrl(): void;
};
/**
 * MsgIBCSendResponse
 * @name MsgIBCSendResponse
 * @package cosmwasm.wasm.v1
 * @see proto type: cosmwasm.wasm.v1.MsgIBCSendResponse
 */
export declare const MsgIBCSendResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is MsgIBCSendResponse;
    isAmino(o: any): o is MsgIBCSendResponseAmino;
    encode(message: MsgIBCSendResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): MsgIBCSendResponse;
    fromPartial(object: DeepPartial<MsgIBCSendResponse>): MsgIBCSendResponse;
    fromAmino(object: MsgIBCSendResponseAmino): MsgIBCSendResponse;
    toAmino(message: MsgIBCSendResponse): MsgIBCSendResponseAmino;
    fromAminoMsg(object: MsgIBCSendResponseAminoMsg): MsgIBCSendResponse;
    toAminoMsg(message: MsgIBCSendResponse): MsgIBCSendResponseAminoMsg;
    fromProtoMsg(message: MsgIBCSendResponseProtoMsg): MsgIBCSendResponse;
    toProto(message: MsgIBCSendResponse): Uint8Array;
    toProtoMsg(message: MsgIBCSendResponse): MsgIBCSendResponseProtoMsg;
    registerTypeUrl(): void;
};
/**
 * MsgIBCWriteAcknowledgementResponse
 * @name MsgIBCWriteAcknowledgementResponse
 * @package cosmwasm.wasm.v1
 * @see proto type: cosmwasm.wasm.v1.MsgIBCWriteAcknowledgementResponse
 */
export declare const MsgIBCWriteAcknowledgementResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is MsgIBCWriteAcknowledgementResponse;
    isAmino(o: any): o is MsgIBCWriteAcknowledgementResponseAmino;
    encode(_: MsgIBCWriteAcknowledgementResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): MsgIBCWriteAcknowledgementResponse;
    fromPartial(_: DeepPartial<MsgIBCWriteAcknowledgementResponse>): MsgIBCWriteAcknowledgementResponse;
    fromAmino(_: MsgIBCWriteAcknowledgementResponseAmino): MsgIBCWriteAcknowledgementResponse;
    toAmino(_: MsgIBCWriteAcknowledgementResponse): MsgIBCWriteAcknowledgementResponseAmino;
    fromAminoMsg(object: MsgIBCWriteAcknowledgementResponseAminoMsg): MsgIBCWriteAcknowledgementResponse;
    toAminoMsg(message: MsgIBCWriteAcknowledgementResponse): MsgIBCWriteAcknowledgementResponseAminoMsg;
    fromProtoMsg(message: MsgIBCWriteAcknowledgementResponseProtoMsg): MsgIBCWriteAcknowledgementResponse;
    toProto(message: MsgIBCWriteAcknowledgementResponse): Uint8Array;
    toProtoMsg(message: MsgIBCWriteAcknowledgementResponse): MsgIBCWriteAcknowledgementResponseProtoMsg;
    registerTypeUrl(): void;
};
/**
 * MsgIBCCloseChannel port and channel need to be owned by the contract
 * @name MsgIBCCloseChannel
 * @package cosmwasm.wasm.v1
 * @see proto type: cosmwasm.wasm.v1.MsgIBCCloseChannel
 */
export declare const MsgIBCCloseChannel: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is MsgIBCCloseChannel;
    isAmino(o: any): o is MsgIBCCloseChannelAmino;
    encode(message: MsgIBCCloseChannel, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): MsgIBCCloseChannel;
    fromPartial(object: DeepPartial<MsgIBCCloseChannel>): MsgIBCCloseChannel;
    fromAmino(object: MsgIBCCloseChannelAmino): MsgIBCCloseChannel;
    toAmino(message: MsgIBCCloseChannel): MsgIBCCloseChannelAmino;
    fromAminoMsg(object: MsgIBCCloseChannelAminoMsg): MsgIBCCloseChannel;
    toAminoMsg(message: MsgIBCCloseChannel): MsgIBCCloseChannelAminoMsg;
    fromProtoMsg(message: MsgIBCCloseChannelProtoMsg): MsgIBCCloseChannel;
    toProto(message: MsgIBCCloseChannel): Uint8Array;
    toProtoMsg(message: MsgIBCCloseChannel): MsgIBCCloseChannelProtoMsg;
    registerTypeUrl(): void;
};
